package org.jeecg.modules.bytedance.report.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * aaa
 * @author jeecg-boot
 * @date   2021-05-18
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_report_material_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_bytedance_report_material_daily对象", description="素材报表信息")
public class BytedanceReportMaterialDaily {
    
	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**广告主id*/
    @ApiModelProperty(value = "广告主id")
	private Integer accountId;
	/**素材id*/
    @ApiModelProperty(value = "素材id")
	private Integer materialId;
	/**数据起始时间*/
    @ApiModelProperty(value = "数据起始时间")
	private String statDatetime;
	/**点击量*/
    @ApiModelProperty(value = "点击量")
	private Integer click;
	/**总花费*/
    @ApiModelProperty(value = "总花费")
	private java.math.BigDecimal cost;
	/**应用下载广告数据-激活数*/
    @ApiModelProperty(value = "应用下载广告数据-激活数")
	private Integer active;
	/**应用下载-安卓下载完成*/
    @ApiModelProperty(value = "应用下载-安卓下载完成")
	private Integer downloadFinish;
	/**应用下载-安卓下载开始*/
    @ApiModelProperty(value = "应用下载-安卓下载开始")
	private Integer downloadStart;
	/**应用下载-安卓安装完成*/
    @ApiModelProperty(value = "应用下载-安卓安装完成")
	private Integer installFinish;
	/**应用下载-注册*/
    @ApiModelProperty(value = "应用下载-注册")
	private Integer register;
	/**应用下载-付费数*/
    @ApiModelProperty(value = "应用下载-付费数")
	private Integer payCount;
	/**应用下载广告数据-APP内访问*/
    @ApiModelProperty(value = "应用下载广告数据-APP内访问")
	private Integer inAppUv;
	/**应用下载广告数据-APP内访问详情页*/
    @ApiModelProperty(value = "应用下载广告数据-APP内访问详情页")
	private Integer inAppDetailUv;
	/**	应用下载广告数据-APP内加入购物车*/
    @ApiModelProperty(value = "	应用下载广告数据-APP内加入购物车")
	private Integer inAppCart;
	/**	应用下载广告数据-APP内下单*/
    @ApiModelProperty(value = "	应用下载广告数据-APP内下单")
	private Integer inAppOrder;
	/**应用下载广告数据-APP内付费*/
    @ApiModelProperty(value = "应用下载广告数据-APP内付费")
	private Integer inAppPay;
	/**落地页转化数据-点击电话按钮*/
    @ApiModelProperty(value = "落地页转化数据-点击电话按钮")
	private Integer phone;
	/**落地页转化数据-表单提交*/
    @ApiModelProperty(value = "落地页转化数据-表单提交")
	private Integer form;
	/**落地页-地图搜索*/
    @ApiModelProperty(value = "落地页-地图搜索")
	private Integer mapSearch;
	/**落地页-按钮button*/
    @ApiModelProperty(value = "落地页-按钮button")
	private Integer button;
	/**落地页-关键页面浏览*/
    @ApiModelProperty(value = "落地页-关键页面浏览")
	private Integer viewMaterial;
	/**落地页-QQ咨询数*/
    @ApiModelProperty(value = "落地页-QQ咨询数")
	private Integer qq;
	/**落地页-抽奖数*/
    @ApiModelProperty(value = "落地页-抽奖数")
	private Integer lottery;
	/**落地页-投票*/
    @ApiModelProperty(value = "落地页-投票")
	private Integer vote;
	/**落地页-页面跳转*/
    @ApiModelProperty(value = "落地页-页面跳转")
	private Integer redirect;
	/**落地页-商品购买*/
    @ApiModelProperty(value = "落地页-商品购买")
	private Integer shopping;
	/**落地页-在线咨询*/
    @ApiModelProperty(value = "落地页-在线咨询")
	private Integer consult;
	/**落地页-微信*/
    @ApiModelProperty(value = "落地页-微信")
	private Integer wechat;
	/**落地页-智能电话确认拨打*/
    @ApiModelProperty(value = "落地页-智能电话确认拨打")
	private Integer phoneConfirm;
	/**落地页-智能电话确认接通*/
    @ApiModelProperty(value = "落地页-智能电话确认接通")
	private Integer phoneConnect;
	/**落地页-智能电话有效咨询*/
    @ApiModelProperty(value = "落地页-智能电话有效咨询")
	private Integer consultEffective;
	/**视频-总播放*/
    @ApiModelProperty(value = "视频-总播放")
	private Integer totalPlay;
	/**视频-有效播放*/
    @ApiModelProperty(value = "视频-有效播放")
	private Integer validPlay;
	/**视频-wifi播放*/
    @ApiModelProperty(value = "视频-wifi播放")
	private Integer wifiPlay;
	/**视频-播放时长，单位ms*/
    @ApiModelProperty(value = "视频-播放时长，单位ms")
	private Integer playDurationSum;
	/**视频-播放25%进度总数*/
    @ApiModelProperty(value = "视频-播放25%进度总数")
	private Integer play25FeedBreak;
	/**视频-播放50%进度总数*/
    @ApiModelProperty(value = "视频-播放50%进度总数")
	private Integer play50FeedBreak;
	/**视频-播放75%进度总数*/
    @ApiModelProperty(value = "视频-播放75%进度总数")
	private Integer play75FeedBreak;
	/**视频数据-99%进度播放数*/
    @ApiModelProperty(value = "视频数据-99%进度播放数")
	private Integer play100FeedBreak;
	/**附加创意-电话按钮*/
    @ApiModelProperty(value = "附加创意-电话按钮")
	private Integer advancedCreativePhoneClick;
	/**附加创意-在线咨询*/
    @ApiModelProperty(value = "附加创意-在线咨询")
	private Integer advancedCreativeCounselClick;
	/**附加创意-表单提交*/
    @ApiModelProperty(value = "附加创意-表单提交")
	private Integer advancedCreativeFormClick;
	/**互动数据-分享数*/
    @ApiModelProperty(value = "互动数据-分享数")
	private Integer shareMaterial;
	/**互动数据-评论数*/
    @ApiModelProperty(value = "互动数据-评论数")
	private Integer commentMaterial;
	/**互动数据-新增关注数*/
    @ApiModelProperty(value = "互动数据-新增关注数")
	private Integer follow;
	/**互动数据-主页访问量*/
    @ApiModelProperty(value = "互动数据-主页访问量")
	private Integer homeVisited;
	/**互动数据-挑战赛查看数*/
    @ApiModelProperty(value = "互动数据-挑战赛查看数")
	private Integer iesChallengeClick;
	/**互动数据-音乐查看数*/
    @ApiModelProperty(value = "互动数据-音乐查看数")
	private Integer iesMusicClick;
	/**次留数*/
    @ApiModelProperty(value = "次留数")
	private Integer nextDayOpen;
	/**次留率*/
    @ApiModelProperty(value = "次留率")
	private java.math.BigDecimal nextDayOpenRate;
	/**次留成本*/
    @ApiModelProperty(value = "次留成本")
	private java.math.BigDecimal nextDayOpenCost;
	/**素材类型*/
    @ApiModelProperty(value = "素材类型")
	private String imageMode;
	/**INVENTORY_FEED头条信息流__INVENTORY_TEXT_LINK头条文章详情页（已废弃）__INVENTORY_VIDEO_FEED西瓜信息流__INVENTORY_HOTSOON_FEED火山信息流|__NVENTORY_AWEME_FEED抖音信息流__INVENTORY_UNION_SLOT穿山甲__UNION_BOUTIQUE_GAME穿山甲精选休闲游戏__INVENTORY_UNION_SPLASH_SLOT穿山甲开屏广告__INVENTORY_AWEME_SEARCH搜索广告——抖音位__INVENTORY_SEARCH搜索广告——头条位*/
    @ApiModelProperty(value = "INVENTORY_FEED头条信息流__INVENTORY_TEXT_LINK头条文章详情页（已废弃）__INVENTORY_VIDEO_FEED西瓜信息流__INVENTORY_HOTSOON_FEED火山信息流|__NVENTORY_AWEME_FEED抖音信息流__INVENTORY_UNION_SLOT穿山甲__UNION_BOUTIQUE_GAME穿山甲精选休闲游戏__INVENTORY_UNION_SPLASH_SLOT穿山甲开屏广告__INVENTORY_AWEME_SEARCH搜索广告——抖音位__INVENTORY_SEARCH搜索广告——头条位")
	private String inventory;
	/**付费价值*/
    @ApiModelProperty(value = "付费价值")
	private Integer activePayAmount;
	/**视频数据-有效播放成本*/
    @ApiModelProperty(value = "视频数据-有效播放成本")
	private java.math.BigDecimal validPlayCost;
	/**附加创意-附加创意卡券领取*/
    @ApiModelProperty(value = "附加创意-附加创意卡券领取")
	private Integer advancedCreativeCouponAddition;
	/**convertMaterial*/
    @ApiModelProperty(value = "convertMaterial")
	private Integer convertMaterial;
	/**应用下载广告数据-付费成本*/
    @ApiModelProperty(value = "应用下载广告数据-付费成本")
	private java.math.BigDecimal activePayCost;
	/**落地页转化数据-下载开始*/
    @ApiModelProperty(value = "落地页转化数据-下载开始")
	private Integer download;
	/**cpa*/
    @ApiModelProperty(value = "cpa")
	private java.math.BigDecimal cpa;
	/**cpc*/
    @ApiModelProperty(value = "cpc")
	private java.math.BigDecimal cpc;
	/**互动数据-POI点击数*/
    @ApiModelProperty(value = "互动数据-POI点击数")
	private Integer locationClick;
	/**视频数据-播完率*/
	@Excel(name = "视频数据-播完率", width = 15)
    @ApiModelProperty(value = "视频数据-播完率")
	private java.math.BigDecimal playOverRate;
	/**展现数据-点击率*/
    @ApiModelProperty(value = "展现数据-点击率")
	private java.math.BigDecimal ctr;
	/**cpm*/
    @ApiModelProperty(value = "cpm")
	private java.math.BigDecimal cpm;
	/**视频数据-WiFi播放占比*/
    @ApiModelProperty(value = "视频数据-WiFi播放占比")
	private java.math.BigDecimal wifiPlayRate;
	/**互动数据-点赞数*/
    @ApiModelProperty(value = "互动数据-点赞数")
	private Integer likeMaterial;
	/**应用下载广告数据-付费率*/
    @ApiModelProperty(value = "应用下载广告数据-付费率")
	private java.math.BigDecimal activePayRate;
	/**应用下载广告数据-激活成本*/
    @ApiModelProperty(value = "应用下载广告数据-激活成本")
	private java.math.BigDecimal activeCost;
	/**应用下载广告数据-关键行为成本*/
    @ApiModelProperty(value = "应用下载广告数据-关键行为成本")
	private java.math.BigDecimal gameAddictionCost;
	/**应用下载广告数据-关键行为数*/
    @ApiModelProperty(value = "应用下载广告数据-关键行为数")
	private Integer gameAddiction;
	/**应用下载广告数据-激活率*/
    @ApiModelProperty(value = "应用下载广告数据-激活率")
	private java.math.BigDecimal activeRate;
	/**播放超过10秒的总数*/
    @ApiModelProperty(value = "播放超过10秒的总数")
	private Integer playDuration10s;
	/**有效电话数*/
    @ApiModelProperty(value = "有效电话数")
	private Integer phoneEffective;
	/**应用下载广告数据-关键行为率*/
    @ApiModelProperty(value = "应用下载广告数据-关键行为率")
	private java.math.BigDecimal gameAddictionRate;
	/**应用下载广告数据-注册率*/
    @ApiModelProperty(value = "应用下载广告数据-注册率")
	private java.math.BigDecimal activeRegisterRate;
	/**视频平均播放时长*/
    @ApiModelProperty(value = "视频平均播放时长")
	private java.math.BigDecimal averageVideoPlay;
	/**应用下载广告数据-安卓下载完成成本*/
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成成本")
	private java.math.BigDecimal downloadFinishCost;
	/**播放超过3秒的总数*/
    @ApiModelProperty(value = "播放超过3秒的总数")
	private Integer playDuration3s;
	/**应用下载广告数据-注册成本*/
    @ApiModelProperty(value = "应用下载广告数据-注册成本")
	private java.math.BigDecimal activeRegisterCost;
	/**showMaterial*/
    @ApiModelProperty(value = "showMaterial")
	private Integer showMaterial;
	/**转化数据-转化率*/
    @ApiModelProperty(value = "转化数据-转化率")
	private java.math.BigDecimal convertRate;
	/**应用下载广告数据-安卓下载完成率*/
    @ApiModelProperty(value = "应用下载广告数据-安卓下载完成率")
	private java.math.BigDecimal downloadFinishRate;
	/**应用下载广告数据-安卓安装完成率*/
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成率")
	private java.math.BigDecimal installFinishRate;
	/**落地页转化数据-建站卡券领取*/
    @ApiModelProperty(value = "落地页转化数据-建站卡券领取")
	private Integer coupon;
	/**落地页转化数据-卡券页领取*/
    @ApiModelProperty(value = "落地页转化数据-卡券页领取")
	private Integer couponSinglePage;
	/**播放完成总数（已下线）*/
    @ApiModelProperty(value = "播放完成总数（已下线）")
	private Integer playOver;
	/**应用下载广告数据-安卓下载开始成本*/
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始成本")
	private java.math.BigDecimal downloadStartCost;
	/**落地页转化数据-短信咨询*/
    @ApiModelProperty(value = "落地页转化数据-短信咨询")
	private Integer message;
	/**playDuration*/
    @ApiModelProperty(value = "playDuration")
	private Integer playDuration;
	/**视频数据-有效播放率*/
    @ApiModelProperty(value = "视频数据-有效播放率")
	private java.math.BigDecimal validPlayRate;
	/**视频数据-平均单次播放时长*/
    @ApiModelProperty(value = "视频数据-平均单次播放时长")
	private java.math.BigDecimal averagePlayTimePerPlay;
	/**转化数据-转化成本*/
    @ApiModelProperty(value = "转化数据-转化成本")
	private java.math.BigDecimal convertCost;
	/**转化展示率*/
    @ApiModelProperty(value = "转化展示率")
	private java.math.BigDecimal convertShowRate;
	/**应用下载广告数据-安卓安装完成成本*/
    @ApiModelProperty(value = "应用下载广告数据-安卓安装完成成本")
	private java.math.BigDecimal installFinishCost;
	/**应用下载广告数据-安卓下载开始率*/
    @ApiModelProperty(value = "应用下载广告数据-安卓下载开始率")
	private java.math.BigDecimal downloadStartRate;
    @ApiModelProperty(value = "createTime")
	private Date createTime;
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
